<template>
  <div>{{ refreshToken }}</div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';

@Component({})
export default class AuthRefreshView extends Vue {
  private get refreshToken() {
    return this.$route.params.refreshToken;
  }

  private async mounted(): Promise<void> {
    if (this.refreshToken) {
      this.$store
        .dispatch('auth/refreshByToken', this.refreshToken)
        .then(() => this.$router.push({ name: 'Home' }))
        .catch(e => console.log(e));
    }
  }
}
</script>

<style scoped></style>
